Update a custom field option
PATCH/api/custom-field-options/{id}
Required permissions:
- settings.company: allows updating custom field option resources.
Requires "Custom Fields" feature to be enabled.
Request
Path Parameters
Possible values: Value must match regular expression [0-9]+
The ID of the custom field option to update
Header Parameters
The company you want to interact with
The API version you want to use
- application/json
Body
Possible values: <= 255 characters
The custom field option name
Possible values: [#114B5F, #176499, #2E91AC, #71D6CB, #28B869, #8ED6AF, #85D280, #A6C59F, #8A716A, #EBD2AC, #FFE856, #FAC03D, #D43A59, #E48270, #E497A7, #B75D85, #9378BC, #FFC6D9, #E5E5E5, #BEBEBE, #595959, #1A1A1A]
The hex color code of the option
The sort position of the option
Responses
- 200
- 400
- 401
- 403
- 404
- 412
Returns the custom field option updated.
- application/json
- Schema
- Example (from schema)
Schema
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
Possible values: <= 255 characters
The custom field option name
The hex color code of the option
The sort position of the option
The id of the custom field this option belongs to
The date and time when the resource was deleted
{
"id": 1,
"created_at": "2026-06-12T11:36:10.432Z",
"updated_at": "2026-06-12T11:36:10.432Z",
"name": "High",
"color": "#224455",
"sort": 1,
"custom_field_id": 1,
"deleted_at": "2026-06-12T11:36:10.432Z"
}
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
Array [
]
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Not found
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "not_found",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "precondition_failure",
"message": "string"
}